Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.lyo.server.oauth.core.utils
Class RestException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.eclipse.lyo.server.oauth.core.utils.RestException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  UnauthorizedException

    public class RestException

extends Exception

Holds a status code and error message for an error response.

Author:
  Samuel Padgett
See Also:
  Serialized Form

Constructor Summary
`RestException(int statusCode, String message)`
`RestException(Throwable t)`
`RestException(Throwable t, int statusCode)`

Method Summary
`String` | `getMessage()`
`int` | `getStatusCode()`
`void` | `setMessage(String message)`
`void` | `setStatusCode(int statusCode)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RestException

    public RestException(int statusCode,
                         String message)

### RestException

    public RestException(Throwable t)

### RestException

    public RestException(Throwable t,
                         int statusCode)

Method Detail

### getStatusCode

    public int getStatusCode()

### setStatusCode

    public void setStatusCode(int statusCode)

### getMessage

    public String getMessage()

  Overrides:
    `getMessage` in class `Throwable`

### setMessage

    public void setMessage(String message)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All Rights Reserved.